Search
lxdream.org :: lxdream/configure :: diff
lxdream 0.9.1
released Jun 29
Download Now
filename configure
changeset 989:7baf5ecd8e98
prev987:3bd03f1ce0a7
next1002:8ad76ddbdc58
author nkeynes
date Wed Mar 04 23:30:22 2009 +0000 (15 years ago)
permissions -rw-r--r--
last change Update ABI header paths for automake's consumption
file annotate diff log raw
1.1 --- a/configure Wed Feb 25 08:50:22 2009 +0000
1.2 +++ b/configure Wed Mar 04 23:30:22 2009 +0000
1.3 @@ -755,6 +755,10 @@
1.4 BUILD_SH4X86_FALSE
1.5 AUDIO_OSX_TRUE
1.6 AUDIO_OSX_FALSE
1.7 +SDL_CFLAGS
1.8 +SDL_LIBS
1.9 +AUDIO_SDL_TRUE
1.10 +AUDIO_SDL_FALSE
1.11 PULSE_CFLAGS
1.12 PULSE_LIBS
1.13 AUDIO_PULSE_TRUE
1.14 @@ -820,6 +824,7 @@
1.15 with_gtk
1.16 with_esd
1.17 with_pulse
1.18 +with_sdl
1.19 '
1.20 ac_precious_vars='build_alias
1.21 host_alias
1.22 @@ -841,6 +846,8 @@
1.23 GLIB_LIBS
1.24 GTK_CFLAGS
1.25 GTK_LIBS
1.26 +SDL_CFLAGS
1.27 +SDL_LIBS
1.28 PULSE_CFLAGS
1.29 PULSE_LIBS
1.30 ESOUND_CFLAGS
1.31 @@ -1498,6 +1505,7 @@
1.32 --with-gtk Build with the GTK UI. Default on X11 systems
1.33 --with-esd Build with support for the ESounD audio system
1.34 --with-pulse Build with support for the PulseAudio audio system
1.35 + --with-sdl Build with support for SDL audio
1.36
1.37 Some influential environment variables:
1.38 CC C compiler command
1.39 @@ -1520,6 +1528,8 @@
1.40 GLIB_LIBS linker flags for GLIB, overriding pkg-config
1.41 GTK_CFLAGS C compiler flags for GTK, overriding pkg-config
1.42 GTK_LIBS linker flags for GTK, overriding pkg-config
1.43 + SDL_CFLAGS C compiler flags for SDL, overriding pkg-config
1.44 + SDL_LIBS linker flags for SDL, overriding pkg-config
1.45 PULSE_CFLAGS
1.46 C compiler flags for PULSE, overriding pkg-config
1.47 PULSE_LIBS linker flags for PULSE, overriding pkg-config
1.48 @@ -7211,6 +7221,13 @@
1.49 fi
1.50
1.51
1.52 +# Check whether --with-sdl was given.
1.53 +if test "${with_sdl+set}" = set; then
1.54 + withval=$with_sdl;
1.55 +fi
1.56 +
1.57 +
1.58 +
1.59
1.60
1.61
1.62 @@ -9953,6 +9970,110 @@
1.63 fi
1.64
1.65
1.66 +if test "x$with_sdl" != "xno"; then
1.67 +
1.68 +pkg_failed=no
1.69 +{ $as_echo "$as_me:$LINENO: checking for SDL" >&5
1.70 +$as_echo_n "checking for SDL... " >&6; }
1.71 +
1.72 +if test -n "$SDL_CFLAGS"; then
1.73 + pkg_cv_SDL_CFLAGS="$SDL_CFLAGS"
1.74 + elif test -n "$PKG_CONFIG"; then
1.75 + if test -n "$PKG_CONFIG" && \
1.76 + { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"sdl\"") >&5
1.77 + ($PKG_CONFIG --exists --print-errors "sdl") 2>&5
1.78 + ac_status=$?
1.79 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.80 + (exit $ac_status); }; then
1.81 + pkg_cv_SDL_CFLAGS=`$PKG_CONFIG --cflags "sdl" 2>/dev/null`
1.82 +else
1.83 + pkg_failed=yes
1.84 +fi
1.85 + else
1.86 + pkg_failed=untried
1.87 +fi
1.88 +if test -n "$SDL_LIBS"; then
1.89 + pkg_cv_SDL_LIBS="$SDL_LIBS"
1.90 + elif test -n "$PKG_CONFIG"; then
1.91 + if test -n "$PKG_CONFIG" && \
1.92 + { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"sdl\"") >&5
1.93 + ($PKG_CONFIG --exists --print-errors "sdl") 2>&5
1.94 + ac_status=$?
1.95 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.96 + (exit $ac_status); }; then
1.97 + pkg_cv_SDL_LIBS=`$PKG_CONFIG --libs "sdl" 2>/dev/null`
1.98 +else
1.99 + pkg_failed=yes
1.100 +fi
1.101 + else
1.102 + pkg_failed=untried
1.103 +fi
1.104 +
1.105 +
1.106 +
1.107 +if test $pkg_failed = yes; then
1.108 +
1.109 +if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
1.110 + _pkg_short_errors_supported=yes
1.111 +else
1.112 + _pkg_short_errors_supported=no
1.113 +fi
1.114 + if test $_pkg_short_errors_supported = yes; then
1.115 + SDL_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "sdl" 2>&1`
1.116 + else
1.117 + SDL_PKG_ERRORS=`$PKG_CONFIG --print-errors "sdl" 2>&1`
1.118 + fi
1.119 + # Put the nasty error message in config.log where it belongs
1.120 + echo "$SDL_PKG_ERRORS" >&5
1.121 +
1.122 + { $as_echo "$as_me:$LINENO: result: no" >&5
1.123 +$as_echo "no" >&6; }
1.124 +
1.125 + if test "x$with_sdl" = "xyes"; then
1.126 + { { $as_echo "$as_me:$LINENO: error: \"SDL libraries could not be found (but were required)
1.127 +See \`config.log' for more details." >&5
1.128 +$as_echo "$as_me: error: \"SDL libraries could not be found (but were required)
1.129 +See \`config.log' for more details." >&2;}
1.130 + { (exit 1); exit 1; }; }
1.131 + fi
1.132 +
1.133 +elif test $pkg_failed = untried; then
1.134 +
1.135 + if test "x$with_sdl" = "xyes"; then
1.136 + { { $as_echo "$as_me:$LINENO: error: \"SDL libraries could not be found (but were required)
1.137 +See \`config.log' for more details." >&5
1.138 +$as_echo "$as_me: error: \"SDL libraries could not be found (but were required)
1.139 +See \`config.log' for more details." >&2;}
1.140 + { (exit 1); exit 1; }; }
1.141 + fi
1.142 +
1.143 +else
1.144 + SDL_CFLAGS=$pkg_cv_SDL_CFLAGS
1.145 + SDL_LIBS=$pkg_cv_SDL_LIBS
1.146 + { $as_echo "$as_me:$LINENO: result: yes" >&5
1.147 +$as_echo "yes" >&6; }
1.148 +
1.149 + HAVE_SDL='yes'
1.150 + AUDIO_DRIVERS="$AUDIO_DRIVERS sdl"
1.151 +
1.152 +cat >>confdefs.h <<\_ACEOF
1.153 +#define HAVE_SDL 1
1.154 +_ACEOF
1.155 +
1.156 +
1.157 +fi
1.158 +fi
1.159 +
1.160 +
1.161 +if test "$HAVE_SDL" = 'yes' ; then
1.162 + AUDIO_SDL_TRUE=
1.163 + AUDIO_SDL_FALSE='#'
1.164 +else
1.165 + AUDIO_SDL_TRUE='#'
1.166 + AUDIO_SDL_FALSE=
1.167 +fi
1.168 +
1.169 +
1.170 if test "x$with_pulse" != "xno"; then
1.171
1.172 pkg_failed=no
1.173 @@ -12809,6 +12930,13 @@
1.174 Usually this means the macro was only invoked conditionally." >&2;}
1.175 { (exit 1); exit 1; }; }
1.176 fi
1.177 +if test -z "${AUDIO_SDL_TRUE}" && test -z "${AUDIO_SDL_FALSE}"; then
1.178 + { { $as_echo "$as_me:$LINENO: error: conditional \"AUDIO_SDL\" was never defined.
1.179 +Usually this means the macro was only invoked conditionally." >&5
1.180 +$as_echo "$as_me: error: conditional \"AUDIO_SDL\" was never defined.
1.181 +Usually this means the macro was only invoked conditionally." >&2;}
1.182 + { (exit 1); exit 1; }; }
1.183 +fi
1.184 if test -z "${AUDIO_PULSE_TRUE}" && test -z "${AUDIO_PULSE_FALSE}"; then
1.185 { { $as_echo "$as_me:$LINENO: error: conditional \"AUDIO_PULSE\" was never defined.
1.186 Usually this means the macro was only invoked conditionally." >&5
.